Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jface.viewers
Class LabelProviderChangedEvent

    java.lang.Object
      java.util.EventObject
          org.eclipse.jface.viewers.LabelProviderChangedEvent

All Implemented Interfaces:
  Serializable

public class LabelProviderChangedEvent
extends EventObject

Event object describing a label provider state change.

See Also:
  `ILabelProviderListener`, Serialized Form

Field Summary

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`LabelProviderChangedEvent(IBaseLabelProvider source)` Creates a new event for the given source, indicating that all labels provided by the source are no longer valid and should be updated.
`LabelProviderChangedEvent(IBaseLabelProvider source, Object element)` Creates a new event for the given source, indicating that the label provided by the source for the given element is no longer valid and should be updated.
`LabelProviderChangedEvent(IBaseLabelProvider source, Object[] elements)` Creates a new event for the given source, indicating that the label provided by the source for the given elements is no longer valid and should be updated.

Method Summary
`Object` | `getElement()` Returns the first element whose label needs to be updated, or `null` if all labels need to be updated.
`Object[]` | `getElements()` Returns the elements whose labels need to be updated, or `null` if all labels need to be updated.

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LabelProviderChangedEvent

    public LabelProviderChangedEvent(IBaseLabelProvider source)

  Creates a new event for the given source, indicating that all labels provided by the source are no longer valid and should be updated.

Parameters:
  `source` - the label provider

### LabelProviderChangedEvent

    public LabelProviderChangedEvent(IBaseLabelProvider source,
                                     Object[] elements)

  Creates a new event for the given source, indicating that the label provided by the source for the given elements is no longer valid and should be updated.

Parameters:
  `source` - the label provider
  `elements` - the element whose labels have changed

### LabelProviderChangedEvent

    public LabelProviderChangedEvent(IBaseLabelProvider source,
                                     Object element)

  Creates a new event for the given source, indicating that the label provided by the source for the given element is no longer valid and should be updated.

Parameters:
  `source` - the label provider
  `element` - the element whose label needs to be updated

Method Detail

### getElement

    public Object getElement()

  Returns the first element whose label needs to be updated, or `null` if all labels need to be updated.

  Returns:
    the element whose label needs to be updated or `null`

### getElements

    public Object[] getElements()

  Returns the elements whose labels need to be updated, or `null` if all labels need to be updated.

  Returns:
    the element whose labels need to be updated or `null`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.